Delete a UDV NFS share
Deletes the share only when its exports have been successfully removed from every Media Agent currently exporting it. Returns success only when all export removals succeed.
Path Parameters
- id int32 required
Share ID for either a standalone UDV NFS share or an FS-subclient UDV NFS share
- 200
- 400
- 404
- 500
Share deleted and all Media Agent exports removed successfully
- application/json
- Schema
- Example (from schema)
Schema array
mediaAgent object
id int32name string- exportStatus string
Possible values: [
SUCCESS,FAILED]Export status of the UDV NFS share on the Media Agent
- errorString string
Error message if the export status is FAILED
[
{
"mediaAgent": {
"id": 0,
"name": "string"
},
"exportStatus": "SUCCESS",
"errorString": "string"
}
]
Invalid share ID
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
Tells about the error occured
- errorCode ErrorCode
Possible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"errorMessage": "string",
"errorCode": "NO_ERROR"
}
UDV NFS share not found
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
Tells about the error occured
- errorCode ErrorCode
Possible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"errorMessage": "string",
"errorCode": "NO_ERROR"
}
Internal server error
- application/json
- Schema
- Example (from schema)
Schema
genericError object
errorMessage stringerrorCode int32mediaAgentExportStatuses object[]
mediaAgent object
id int32name stringexportStatus stringPossible values: [
SUCCESS,FAILED]Export status of the UDV NFS share on the Media Agent
errorString stringError message if the export status is FAILED
{
"genericError": {
"errorMessage": "string",
"errorCode": 0
},
"mediaAgentExportStatuses": [
{
"mediaAgent": {
"id": 0,
"name": "string"
},
"exportStatus": "SUCCESS",
"errorString": "string"
}
]
}